#ifndef __BMCD_SYSMSG__
#define __BMCD_SYSMSG__

#include <linux/kernel.h>
#include "com_syslog.h"

#define BMCD_SYSMSG_SIZE 128

/**
 * It prints a message to syslog.
 */
#define BMCD_COMP_NAME	"IOP-BMC"

#define BMCD_SYSMSG_INFO(DESC, MSG, ...)	\
	xos_com_info_msg(BMCD_COMP_NAME, DESC, 0, MSG, ## __VA_ARGS__);

#define BMCD_SYSMSG_ERRR(DESC, MSG, ...)	\
	xos_com_err_msg(BMCD_COMP_NAME, DESC, 0, MSG, ## __VA_ARGS__);

extern char *bmcd_sysmsg_to_ipmistr(int);
extern void bmcd_sysmsg_result(short, int);

#endif /* __BMCD_SYSMSG__ */
