/* bmcd_ipmi_stub.h COPYRIGHT FUJITSU LIMITED 2018 */
#ifndef __BMCD_IPMI_STUB__
#define __BMCD_IPMI_STUB__

#include <linux/ipmi.h>

extern int ipmi_stub_request_settime(ipmi_user_t user,
    struct ipmi_addr *addr,
    long msgid,
    struct kernel_ipmi_msg *msg,
    void *user_msg_data,
    int priority,
    int retries,
    unsigned int retry_time_ms);
extern int ipmi_stub_create_user(unsigned int if_num,
    const struct ipmi_user_hndl *handler,
    void *handler_data,
    ipmi_user_t *user);
extern int ipmi_stub_destroy_user(ipmi_user_t user);
extern void ipmi_stub_free_recv_msg(struct ipmi_recv_msg *msg);
extern int ipmi_stub_poll_interface(ipmi_user_t user);

#endif
